.menu-toggle {
  top: 50%;
  transform: translateY(-50%);
  width: 32px;
  height: 20px;
  //float: right;
  background-color: inherit!important;
  position:relative;
  cursor:pointer;
  border-radius:5px;

  &:hover {
    background:rgba(255,255,255,.8);
  }

 span {
  transition:.25s ease-in-out;
  box-sizing:border-box;
  display:block;
  background: $white;
  border-radius:2px;
  }
  
  #hamburger {
    position:absolute;
    height:100%;
    width:100%;

    span {
      width:100%;
      height:3px;
      position:relative;
      margin-bottom:4px;

      &:nth-child(1){
        transition-delay:.5s;
      }

      &:nth-child(2){
        transition-delay:.625s;
      }

      &:nth-child(3){
        transition-delay:.75s;
        margin-bottom: 0;
      }
    }
  }

  #cross {
    position:absolute;
    height:100%;
    width:100%;
    transform:rotate(45deg);

    span{

      &:nth-child(1){
        height:0%;
        width: 4px;
        position: absolute;
        top: 39%;
        left: 12px;
        transition-delay:0s;
      }

      &:nth-child(2){
        width:0%;
        height:4px;
        position:absolute;
        left: 5%;
        top: 18px;
        transition-delay:.65s;
      }
    }
  }
}

.menu-toggle.open {

  span {
    transition:.25s ease-in-out;
    box-sizing:border-box;
    display:block;
    background:$white;
    border-radius:2px;
  }

  #hamburger {
    span {
      width:0%;

      &:nth-child(1){
        transition-delay:0s;
      }

      &:nth-child(2){
        transition-delay:.125s;
      }

      &:nth-child(3){
        transition-delay:.25s;
      }
    }
  }

  #cross {
    top: -50%;

    span {
      
      &:nth-child(1){
        height:120%;
        transition-delay:.625s;
      }
    }

    span {

      &:nth-child(2){
        width:80%;
        transition-delay:.375s;
      }
    }
  }
}
